# Yahoo! UI Library

### yuitest 2.8.0r4

Yahoo! UI Library > yuitest > YAHOO.tool.TestReporter
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.tool.TestReporter

An object capable of sending test results to a server.

### Constructor

YAHOO.tool.TestReporter `( url , format )`

Parameters:
  `url <String>` The URL to submit the results to.
  `format <Function>` (Optiona) A function that outputs the results in a specific format. Default is YAHOO.tool.TestFormat.XML.

### Properties

#### _fields - `private Object`

Extra fields to submit with the request.

#### _form - `private HTMLFormElement`

The form element used to submit the results.

#### _iframe - `private HTMLIFrameElement`

Iframe used as a target for form submission.

#### format - `Function`

The formatting function to call when submitting the data.

#### url - `String`

The URL to submit the data to.

### Methods

#### _convertToISOString

`private String _convertToISOString ( date )`
Convert a date into ISO format. From Douglas Crockford's json2.js

Parameters:
  `date <Date>` The date to convert.

Returns: `String`
  An ISO-formatted date string

#### addField

`Void addField ( name , value )`
Adds a field to the form that submits the results.

Parameters:
  `name <String>` The name of the field.
  `value <Variant>` The value of the field.

Returns: `Void`

#### destroy

`Void destroy ( )`
Cleans up the memory associated with the TestReporter, removing DOM elements that were created.

Returns: `Void`

#### report

`Void report ( results )`
Sends the report to the server.

Parameters:
  `results <Object>` The results object created by TestRunner.

Returns: `Void`

Copyright © 2009 Yahoo! Inc. All rights reserved.